Subject: Re: [Extra] Working group last call for draft-ietf-extra-imap4rev2-18

From: Alexey Melnikov <[email-masked]>
Date: Tue, 13 Oct 2020 12:44:00 +0100

Hi Arnt,

On 18/09/2020 11:47, Arnt Gulbrandsen wrote:
> Hi,
>
> I had another look, starting with the top. In Special Notes to 
> Implementors, I find:
>
>   IMAP4rev2 is largely compatible with
>   the IMAP4rev1 protocol described in RFC 3501 and the IMAP4 protocol
>   described in RFC 1730; the exception being in certain facilities
>   added in RFC 1730 that proved problematic and were subsequently
>   removed.
>
> Well, really. Is that it?

Well spotted. Yes, this needs to be cleaned as you say below.

> I think 1.3 should refer to appendices A-D and add two parapgraphs of 
> introduction of the changes since 4r1. It should say... let's see...
>
> That human-readable text can now be unicode, that bigger numbers are 
> permitted (but no limits have changed), that CHECK, \RECENT, UNSEEN 
> and LSUB are gone. That clients have to send ENABLE. That mailbox 
> names are utf8. That the mandatory-to-implement authentication has 
> been updated.

Best Regards,

Alexey